#
# Conditional build:
%bcond_with	bootstrap	# bootstrap build

%define	major_ver	0.38
Summary:	GObject-based language compiler
Summary(pl.UTF-8):	Kompilator języka opartego na bibliotece GObject
Name:		vala
Version:	0.38.4
Release:	1
Epoch:		2
License:	LGPL v2+
Group:		Development/Languages
Source0:	http://ftp.gnome.org/pub/GNOME/sources/vala/0.38/%{name}-%{version}.tar.xz
# Source0-md5:	aa80a591205c40c4df0333554135e3bf
URL:		http://live.gnome.org/Vala
BuildRequires:	autoconf >= 2.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel >= 1:2.40.0
BuildRequires:	graphviz-devel >= 2.16
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.21
BuildRequires:	tar >= 1:1.22
%{!?with_bootstrap:BuildRequires:	vala >= 2:0.25.1}
BuildRequires:	xz
Requires:	glib2 >= 1:2.40.0
Conflicts:	gdk-pixbuf2 < 2.23.3-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Vala is a new programming language that aims to bring modern
programming language features to GNOME developers without imposing any
additional runtime requirements and without using a different ABI
compared to applications and libraries written in C.

valac, the Vala compiler, is a self-hosting compiler that translates
Vala source code into C source and header files. It uses the GObject
type system to create classes and interfaces declared in the Vala
source code. It's also planned to generate GIDL files when
gobject-introspection is ready.

The syntax of Vala is similar to C#, modified to better fit the
GObject type system.

%description -l pl.UTF-8
Vala to nowy język programowania, którego celem jest udostępnienie
cech nowoczesnych języków programowania programistom GNOME bez
wymuszania dodatkowych wymagań co do środowiska uruchomieniowego i
używania API innego niż w aplikacjach i bibliotekach napisanych w C.

valac - kompilator języka Vala - to napisany w sobie samym kompilator
tłumaczący kod źródłowy w języku Vala na pliki źródłowe i nagłówkowe w
C. Używa systemu typów GObject do tworzenia klas i interfejsów
zadeklarowanych w kodzie źródłowym w języku Vala. Planowane jest także
generowanie plików GIDL, kiedy system gobject-introspection będzie
gotowy.

Składnia języka Vala jest podobna do C#, zmodyfikowana tak, aby lepiej
pasować do systemu typów GObject.

%package apidocs
Summary:	vala API documentation
Summary(pl.UTF-8):	Dokumentacja API vala
Group:		Documentation
Requires:	devhelp
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
vala API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API vala.

%package -n valadoc
Summary:	Documentation tool for Vala
Summary(pl.UTF-8):	Narzędzie obsługujące dokumentację dla języka Vala
Group:		Development/Tools
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n valadoc
Documentation tool for Vala.

%description -n valadoc -l pl.UTF-8
Narzędzie obsługujące dokumentację dla języka Vala.

%package -n valadoc-devel
Summary:	Header file for Valadoc library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki Valadoc
Group:		Development/Libraries
Requires:	glib2-devel >= 1:2.40.0
Requires:	graphviz-devel >= 2.16
Requires:	valadoc = %{epoch}:%{version}-%{release}

%description -n valadoc-devel
Header file for Valadoc library.

%description -n valadoc-devel -l pl.UTF-8
Plik nagłówkowy biblioteki Valadoc.

%package -n vala-valadoc
Summary:	Vala API for Valadoc library
Summary(pl.UTF-8):	API języka Vala do biblioteki Valadoc
Group:		Development/Libraries
Requires:	vala
Requires:	valadoc-devel = %{epoch}:%{version}-%{release}
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-valadoc
Vala API for Valadoc library.

%description -n vala-valadoc -l pl.UTF-8
API języka Vala do biblioteki Valadoc.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/vala/vapi

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# loadable modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/valadoc/*/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	-n valadoc -p /sbin/ldconfig
%postun	-n valadoc -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/vala
%attr(755,root,root) %{_bindir}/vala-%{major_ver}
%attr(755,root,root) %{_bindir}/vala-gen-introspect
%attr(755,root,root) %{_bindir}/vala-gen-introspect-%{major_ver}
%attr(755,root,root) %{_bindir}/valac
%attr(755,root,root) %{_bindir}/valac-%{major_ver}
%attr(755,root,root) %{_bindir}/vapicheck
%attr(755,root,root) %{_bindir}/vapicheck-%{major_ver}
%attr(755,root,root) %{_bindir}/vapigen
%attr(755,root,root) %{_bindir}/vapigen-%{major_ver}
%attr(755,root,root) %{_libdir}/libvala-%{major_ver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvala-%{major_ver}.so.0
%attr(755,root,root) %{_libdir}/libvala-%{major_ver}.so
%{_includedir}/vala-%{major_ver}
%{_pkgconfigdir}/libvala-%{major_ver}.pc
%{_pkgconfigdir}/vapigen-%{major_ver}.pc
%{_pkgconfigdir}/vapigen.pc
%dir %{_datadir}/vala
%{_datadir}/vala/Makefile.vapigen
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libvala-%{major_ver}.vapi
%dir %{_datadir}/vala-%{major_ver}
%dir %{_datadir}/vala-%{major_ver}/vapi
%{_datadir}/vala-%{major_ver}/vapi/*.vapi
%{_datadir}/vala-%{major_ver}/vapi/*.deps
%dir %{_libdir}/vala-%{major_ver}
%attr(755,root,root) %{_libdir}/vala-%{major_ver}/gen-introspect-%{major_ver}
%{_mandir}/man1/vala-gen-introspect.1*
%{_mandir}/man1/vala-gen-introspect-%{major_ver}.1*
%{_mandir}/man1/valac.1*
%{_mandir}/man1/valac-%{major_ver}.1*
%{_mandir}/man1/vapigen.1*
%{_mandir}/man1/vapigen-%{major_ver}.1*
%{_aclocaldir}/vala.m4
%{_aclocaldir}/vapigen.m4

%files apidocs
%defattr(644,root,root,755)
%{_datadir}/devhelp/books/vala-%{major_ver}

%files -n valadoc
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/valadoc
%attr(755,root,root) %{_bindir}/valadoc-0.38
%attr(755,root,root) %{_libdir}/libvaladoc-0.38.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvaladoc-0.38.so.0
%dir %{_libdir}/valadoc
%dir %{_libdir}/valadoc/doclets
%dir %{_libdir}/valadoc/doclets/devhelp
%attr(755,root,root) %{_libdir}/valadoc/doclets/devhelp/libdoclet.so
%dir %{_libdir}/valadoc/doclets/gtkdoc
%attr(755,root,root) %{_libdir}/valadoc/doclets/gtkdoc/libdoclet.so
%dir %{_libdir}/valadoc/doclets/html
%attr(755,root,root) %{_libdir}/valadoc/doclets/html/libdoclet.so
%{_datadir}/valadoc
%{_mandir}/man1/valadoc-0.38.1*
%{_mandir}/man1/valadoc.1*

%files -n valadoc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvaladoc-0.38.so
%{_includedir}/valadoc-0.38
%{_pkgconfigdir}/valadoc-0.38.pc

%files -n vala-valadoc
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/valadoc-0.38.deps
%{_datadir}/vala/vapi/valadoc-0.38.vapi
%changelog
* Tue Dec 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vala.git;a=log;h=master

* Tue Dec 12 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3f3b3d7
- Update to 0.38.4

* Wed Nov 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 859c2d1
- updated to 0.38.3
- libvala vapi file belongs to vala, not valadoc

* Sun Oct 08 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 50430cb
- Update to 0.38.2

* Tue Jun 27 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d4e32a1
- Update to 0.36.4

* Fri May 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9e8bbbd
- Update to 0.36.3

* Tue Apr 11 2017 Jakub Bogusz <qboosh@pld-linux.org> 47dedd4
- updated to 0.36.1

* Sat Mar 18 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 787370e
- Update to 0.36.0

* Tue Mar 14 2017 Jakub Bogusz <qboosh@pld-linux.org> d41ab16
- updated to 0.34.6

* Thu Mar 02 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 9e787ac
- Update to 0.34.5

* Mon Dec 26 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 8bc3ed4
- Update to 0.34.4

* Tue Nov 22 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 4e76a59
- Update to 0.34.3

* Mon Oct 24 2016 Marcin Banasiak <marcin.banasiak@gmail.com> be7956e
- Update to 0.34.2

* Fri Sep 23 2016 Jakub Bogusz <qboosh@pld-linux.org> e675a7a
- updated libtool,pkgconfig versions

* Wed Sep 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 27a73cb
- Update to 0.34.0

* Wed Aug 03 2016 Jakub Bogusz <qboosh@pld-linux.org> 6a1074c
- updated to 0.32.1

* Sun Apr 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 261a368
- Update to 0.32.0

* Mon Feb 01 2016 Marcin Banasiak <marcin.banasiak@gmail.com> d2d9ac4
- Update to 0.30.1

* Sat Sep 26 2015 Łukasz Kieś <kiesiu@pld-linux.org> 3df07a1
- updated to 0.30.0

* Sat Aug 22 2015 Łukasz Kieś <kiesiu@pld-linux.org> 113c79b
- updated to 0.28.1

* Thu Jul 02 2015 Elan Ruusamäe <glen@delfi.ee> e826d45
- noarch apidocs

